Package com.logicaldoc.core.task

# Class DocumentProcessorCallable<T extends DocumentProcessorStats>

java.lang.Object
com.logicaldoc.core.task.DocumentProcessorCallable<T>

Type Parameters:
  `T` - The type of statistics

All Implemented Interfaces:
  `Callable<T>`

public abstract class DocumentProcessorCallable<T extends DocumentProcessorStats> extends Object implements Callable<T>
A callable to provide for processing a segment of documents

Since:
  9.2.1
Author:
  Giuseppe Desiato - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`T`
`call()`
`void`
`interrupt()`
`boolean`
`isCompleted()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### call

public T call() throws Exception

Specified by:
  `call` in interface `Callable<T extends DocumentProcessorStats>`
Throws:
  `Exception`

### isCompleted

public boolean isCompleted()

### interrupt

public void interrupt()